Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api
Interface SequenceType

All Known Subinterfaces:
  ItemType

    public interface SequenceType

Type of an Item sequence.

Field Summary
`static int` | `OCC_EXACTLY_ONE` Occurrence indicator corresponding with one required item.
`static int` | `OCC_ONE_OR_MORE` Occurrence indicator corresponding with '+', at least one item.
`static int` | `OCC_ZERO_OR_MORE` Occurrence indicator corresponding with '*', any number of items.
`static int` | `OCC_ZERO_OR_ONE` Occurrence indicator corresponding with one optional item.

Method Summary
`ItemType` | `getItemType()` Returns the base Item Type of the sequence type.
`int` | `getOccurrence()` Returns the occurrence indicator associated with this type (OCC_ZERO_OR_ONE, OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE).

Field Detail

### OCC_ZERO_OR_ONE

    static final int OCC_ZERO_OR_ONE

  Occurrence indicator corresponding with one optional item.

  See Also:
    Constant Field Values

### OCC_EXACTLY_ONE

    static final int OCC_EXACTLY_ONE

  Occurrence indicator corresponding with one required item.

  See Also:
    Constant Field Values

### OCC_ZERO_OR_MORE

    static final int OCC_ZERO_OR_MORE

  Occurrence indicator corresponding with '*', any number of items.

  See Also:
    Constant Field Values

### OCC_ONE_OR_MORE

    static final int OCC_ONE_OR_MORE

  Occurrence indicator corresponding with '+', at least one item.

  See Also:
    Constant Field Values

Method Detail

### getItemType

    ItemType getItemType()

  Returns the base Item Type of the sequence type.

  Returns:
    the base Item Type of the Sequence type.

### getOccurrence

    int getOccurrence()

  Returns the occurrence indicator associated with this type (OCC_ZERO_OR_ONE, OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE).

  Returns:
    an int representing the occurrence indicator value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD